import QtQuick 1.1
import Process 0.1
import "Keypad"

Item {
    id: root
    width: keypad.width
    height: keypad.height

    AlphaKeypad {
        id: keypad
        x: 0
        y: 0
        anchors { horizontalCenter: parent.horizontalCenter ; bottom: parent.bottom }
        visible: true
        onClose: application.hide()
        onKeyPress: {
            dotool.keypress(key)
        }

        onMultipress: {
            dotool.keypress(keylist)
        }
    }

    Process {
        id: dotool

        function keypress(keyOrArray) {
            var fullArgs = ["key"]
            fullArgs = fullArgs.concat(keyOrArray)
            dotool.arguments = fullArgs
            start()
        }
        onReadyReadStandardError: {
            var output = new String(readAllStandardError())
            print(output)
        }
        onReadyReadStandardOutput: {
            var output = new String(readAllStandardOutput())
            print(output)
        }

        program: "/usr/bin/xdotool"
        arguments: ["key", "a"]
    }
}
